Subject: Re: bug#48770: Command `eshell-command` raises error when `eshell-hist-ignoredups` is 'erase

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Jun 2021 17:48:37 +0200

Okam <[email-masked]> writes:

> This raises the "Ring empty" error because there is no history in
> `eshell-history-ring` when I use this command. This command doesn't seem
> to be aware of the input history of other Eshell buffers.

I'm not quite sure I understand.  I tried `M-x eshell-command' with that
setting, and I got no error in Emacs 28.

What Emacs version is this with?

Do you have a step-by-step recipe to reproduce the problem, starting
from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no